OpenTTD Source: src/os/macosx/font_osx.cpp File Reference

OpenTTD Source 14.1

Functions
font_osx.cpp File Reference
`#include "../../stdafx.h"`
`#include "../../debug.h"`
`#include "font_osx.h"`
`#include "../../core/math_func.hpp"`
`#include "../../blitter/factory.hpp"`
`#include "../../error_func.h"`
`#include "../../fileio_func.h"`
`#include "../../fontdetection.h"`
`#include "../../string_func.h"`
`#include "../../strings_func.h"`
`#include "../../zoom_func.h"`
`#include "macos.h"`
`#include "../../table/control_codes.h"`
`#include "safeguards.h"`

Go to the source code of this file.

## Functions
bool | SetFallbackFont (FontCacheSettings *settings, const std::string &language_isocode, int, MissingGlyphSearcher *callback)
| We would like to have a fallback font as the current one doesn't contain all characters we need. More...
static CTFontDescriptorRef | LoadFontFromFile (const std::string &font_name)
void | LoadCoreTextFont (FontSize fs)
| Loads the TrueType font. More...
void | LoadCoreTextFont (FontSize fs, const std::string &file_name, uint size)
| Load a TrueType font from a file. More...

## Detailed Description

Functions related to font handling on MacOS.

Definition in file font_osx.cpp.

## Function Documentation

## ◆ LoadCoreTextFont() [1/2]

void LoadCoreTextFont | ( | FontSize | fs | ) |

Loads the TrueType font.

If a CoreText font description is present, e.g. from the automatic font fallback search, use it. Otherwise, try to resolve it by font name.

Parameters

  fs | The font size to load.

Definition at line 340 of file font_osx.cpp.

References GetFontCacheSubSetting(), MacOSVersionIsAtLeast(), and settings.

## ◆ LoadCoreTextFont() [2/2]

void LoadCoreTextFont | ( | FontSize | fs,
|  | const std::string & | file_name,
|  | uint | size
| ) |  |

Load a TrueType font from a file.

Parameters

  fs | The font size to load.
  file_name | Path to the font file.
  size | Requested font size.

Definition at line 391 of file font_osx.cpp.

## ◆ SetFallbackFont()

bool SetFallbackFont | ( | struct FontCacheSettings * | settings,
|  | const std::string & | language_isocode,
|  | int | winlangid,
|  | class MissingGlyphSearcher * | callback
| ) |  |

We would like to have a fallback font as the current one doesn't contain all characters we need.

This function must set all fonts of settings.

Parameters

  settings | the settings to overwrite the fontname of.
  language_isocode | the language, e.g. en_GB.
  winlangid | the language ID windows style.
  callback | The function to call to check for missing glyphs.

Returns
  true if a font has been set, false otherwise.

Definition at line 27 of file font_osx.cpp.

References lengthof.